SEARCH
NEW RPMS
DIRECTORIES
ABOUT
FAQ
VARIOUS
BLOG
DONATE


YUM REPOSITORY

 
 

ghc-base-compat rpm build for : OpenSuSE. For other distributions click ghc-base-compat.

Name : ghc-base-compat
Version : 0.10.5 Vendor : openSUSE
Release : lp152.2.5 Date : 2019-10-24 08:36:23
Group : Development/Libraries/Haskell Source RPM : ghc-base-compat-0.10.5-lp152.2.5.src.rpm
Size : 0.11 MB
Packager : https://bugs_opensuse_org
Summary : A compatibility layer for base
Description :
Provides functions available in later versions of \'base\' to a wider range of
compilers, without requiring you to use CPP pragmas in your code. See the
< https://github.com/haskell-compat/base-compat/blob/master/base-compat/README.markdown
README> for what is covered. Also see the
< https://github.com/haskell-compat/base-compat/blob/master/base-compat/CHANGES.markdown
changelog> for recent changes.

Note that \'base-compat\' does not add any orphan instances. There is a separate
package, \'< http://hackage.haskell.org/package/base-orphans base-orphans>\', for
that.

In addition, \'base-compat\' does not backport any data types or type classes.
See
\'< https://github.com/haskell-compat/base-compat/blob/master/base-compat/README.markdown#data-types-and-type-classes
this section of the README>\' for more info.

\'base-compat\' is designed to have zero dependencies. For a version of
\'base-compat\' that depends on compatibility libraries for a wider support
window, see the \'< http://hackage.haskell.org/package/base-compat-batteries
base-compat-batteries>\' package. Most of the modules in this library have the
same names as in \'base-compat-batteries\' to make it easier to switch between
the two. There also exist versions of each module with the suffix \'.Repl\',
which are distinct from anything in \'base-compat-batteries\', to allow for
easier use in GHCi.

RPM found in directory: /mirror/ftp.opensuse.org/distribution/leap/15.2/repo/oss/x86_64

Content of RPM  Changelog  Provides Requires

Download
ftp.pbone.net  ghc-base-compat-0.10.5-lp152.2.5.x86_64.rpm
     

Provides :
ghc-base-compat
ghc-base-compat(x86-64)
libHSbase-compat-0.10.5-FRXoAxOVtbG2qLNIZm1tTr-ghc8.6.4.so()(64bit)

Requires :
libHSarray-0.5.3.0-ghc8.6.4.so()(64bit)
libHSbase-4.12.0.0-ghc8.6.4.so()(64bit)
libHSbytestring-0.10.8.2-ghc8.6.4.so()(64bit)
libHSdeepseq-1.4.4.0-ghc8.6.4.so()(64bit)
libHSghc-prim-0.5.3-ghc8.6.4.so()(64bit)
libHSinteger-gmp-1.0.2.0-ghc8.6.4.so()(64bit)
libHStime-1.8.0.2-ghc8.6.4.so()(64bit)
libHSunix-2.7.2.2-ghc8.6.4.so()(64bit)
libatomic.so.1()(64bit)
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libdl.so.2()(64bit)
libgmp.so.10()(64bit)
libm.so.6()(64bit)
libpthread.so.0()(64bit)
librt.so.1()(64bit)
libutil.so.1()(64bit)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1


Content of RPM :
/usr/lib64/ghc-8.6.4/base-compat-0.10.5-FRXoAxOVtbG2qLNIZm1tTr
/usr/lib64/ghc-8.6.4/base-compat-0.10.5-FRXoAxOVtbG2qLNIZm1tTr/libHSbase-compat-0.10.5-FRXoAxOVtbG2qLNIZm1tTr-ghc8.6.4.so
/usr/share/licenses/ghc-base-compat
/usr/share/licenses/ghc-base-compat/LICENSE